BatchGetDeliveries
curl --request POST \
--url https://developer.synq.io/api/deliveries/v1/by-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"<string>"
]
}
'import requests
url = "https://developer.synq.io/api/deliveries/v1/by-id"
payload = { "ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['<string>']})
};
fetch('https://developer.synq.io/api/deliveries/v1/by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deliveries": {}
}synq.deliveries.v1.DeliveriesService
BatchGetDeliveries
Fetch deliveries by id. Ids that do not exist, or have passed out of the
retention window, are omitted from the response rather than causing an
error. Unlike ListDeliveries, this always returns the routing provenance.
POST
/
api
/
deliveries
/
v1
/
by-id
BatchGetDeliveries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Delivery ids to fetch (1–200, unique), as returned by ListDeliveries,
Redeliver or SendTestDelivery.
Required array length:
1 - 200 elementsMaximum string length:
200Response
200 - application/json
Success
The deliveries found, keyed by id. Ids that do not exist are absent.
Show child attributes
Show child attributes
⌘I